=== debian/changelog ===
devscripts (2.18.4ubuntu1) cosmic; urgency=medium

  * debsign: revert 37b5cc1e5; using short key IDs is not unsafe for
    private keys.  Closes: #909810.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 28 Sep 2018 17:37:23 -0700
