## devscripts 2.18.6

=== test/Makefile ===
--- 
+++ 
@@ -6,12 +6,15 @@
 	debchange \
 	debdiff \
 	debrepro \
+	debsign \
 	mk-origtargz \
 	package_lifecycle \
 	sadt \
 	uscan \
 	uscan_ftp \
+	uscan_git \
 	uscan_mangle \
+	perltidy \
 
 test: $(foreach i,$(OUR_TESTS),test_$(i).test)
