=== debian/changelog ===
devscripts (2.18.6) unstable; urgency=medium

  [ Unit 193 ]
  * uscan:
    + Tweak the bash completion so directory names can be tab completed.

  [ Simon McVittie ]
  * sadt:
    + Ignore the new test restriction "superficial".  MR: !50

  [ Mattia Rizzolo ]
  * tests:
    + Fix autopkgtest that was failing due to missing test dependency
      on fakeroot.  Closes: #910262

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 05 Oct 2018 01:00:11 +0200

devscripts (2.18.5) unstable; urgency=medium

  [ Antoine Beaupre ]
  * debchange:
    + Bump LTS version number from 7 to 8.  Closes: #908062

  [ Mattia Rizzolo ]
  * mk-build-deps:
    + Install the README used for the equivs package into a directory
      named /templates/ to avoid the new lintian tag
      package-contains-documentation-outside-usr-share-doc.
  * wrap-and-sort:
    + Update man-page to list the --dry-run option.  Closes: #908036
  * tests:
    + pylint:
      - Re-enable the test again.
      - Appease the new pylint rule useless-object-inheritance.
    + test_package_lifecycle:
      - Adapt the expected output for dpkg-source 1.19.1.  Closes: #909719
    + Use `set -u` in all the test files.
    + Move some the temporary directories into SHUNIT_TMPDIR, to have more
      assurances that they are cleaned up at the end.
    + In autopkgtest, avoid using the deprecated needs-recomends option, and
      instead explicitly list all the required packages.

  [ Benjamin Drung ]
  * test:
    + Use sys.executable instead of looking at /proc/self/cmdline.
    + Avoid creating .pylint.d directory.
    + Ignore some error-handling code when computing the test coverage.
  * debsign:
    + Fix incomplete .buildinfo entry when an at ('@') sign is in the path.

  [ Chris Lamb ]
  * PEP8-ify a number of Python scripts.  MR: !27

  [ Xavier Guimard ]
  * Rewrite debian/copyright using copyright-format 1.0.  MR: !41
  * Add .perltidyrc to format Perl files and reformat all Perl files.  MR: !47
    - Add a new test test_perltidy to verify that scripts are well formatted.
    - This adds a new build dependency on perltidy.
  * tests:  MR: !48
    - Add faketime to the dependencies in d/tests/control.
    - Fix test_mk-origtargz random failure.
  * uscan:
    + Rewrite using object-oriented code.  MR: !28
      - This adds a new dependency on libmoo-perl for uscan (Recommended).
    + Optimize code:  MR: !30
      - Set FTP passive mode in a trigger.
      - Avoid system() calls.
        + This adds a new dependency on libipc-run-perl and libfile-which-perl
          for uscan (Recommended).
      - Avoid code duplication.
    + Behaviour changes:
      - Warn when find old pgp keyring.
    + Add myself to authors list.
    + Clean temporary git repo.  Closes: #909418; MR: !32
      - Keep it only if --debug is set (previously kept if --verbose).  MR: !33
    + Add @DEB_EXT@ macro containing [\+~](debian|dfsg|ds|deb)(\.)?(\d+)?$.
      - add also a "auto" value for dversionmangle which is replaced by
        dversionmangle=s/@DEB_EXT@//.
      - modify test_uscan to test these values.
      - Closes: #908528; MR: !35
    + Add "pgpmode=gittag" option to verify git tag signature if any.
      Closes: #827065; MR: !38
    + Document the default values of the 'version' and 'script' options.
      Closes: #907289; MR: !40
    + Add tests for git mode.
      - This adds a new build dependency on git.  MR: !42
      - De-duplicate test code.
    + Add a new "searchmode" line option to parse raw/plain content instead of
      just the href= attributes of <a> html tags.  Can be used to e.g. easily
      check .json files.  Closes: #897382; MR: !39

  [ Sean Whitton ]
  * git-deborig:
    + Don't fail when .git/info does not exist.  Closes: #909339; MR: !29

  [ James McCoy ]
  * Audit usage of Dpkg::Version in all scripts.  MR: !44
    + mk-build-deps: Check whether version object exists before trying to use
      it.  This silences Dpkg::Version's new warning about usage in boolean
      context.
    + Devscripts::Uscan::WatchLine: Add missing Dpkg::Version import.
    + chdist: Explicitly import version_compare() from Dpkg::Version.
    + mk-origtargz: Use Dpkg::Version->is_native() instead of reading
      internals.
    + git-deborig: Check sanity of version object before using it.

  [ Dima Kogan ]
  * debcheckout:
    + Fix incorrect interpretation of system() error codes.  Closes: #895307

  [ Cyril Brulebois ]
  * debdiff:
    + Make bash completion autocomplete on *.udeb files.  Closes: #887358

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 03 Oct 2018 16:43:52 +0200
