=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
+Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
 Uploaders: Mattia Rizzolo <mattia@debian.org>,
            Pierre-Elliott Bécue <becue@crans.org>
 Build-Depends: bash-completion,
@@ -13,14 +12,18 @@
                fakeroot <!nocheck>,
                faketime <!nocheck>,
                file <!nocheck>,
+               git <!nocheck>,
                gnupg <!nocheck> | gnupg2 <!nocheck>,
                help2man,
                libdistro-info-perl <!nocheck>,
                libdpkg-perl <!nocheck>,
                libfile-desktopentry-perl <!nocheck>,
                libfile-homedir-perl <!nocheck>,
+               libfile-which-perl <!nocheck>,
                libgit-wrapper-perl <!nocheck>,
+               libipc-run-perl <!nocheck>,
                liblist-compare-perl <!nocheck>,
+               libmoo-perl <!nocheck>,
                libstring-shellquote-perl <!nocheck>,
                libtimedate-perl <!nocheck>,
                libtry-tiny-perl <!nocheck>,
@@ -29,9 +32,10 @@
                lsb-release <!nocheck>,
                mozilla-devscripts <!nocheck>,
                perl:any,
+               perltidy <!nocheck>,
                pkg-config,
                po4a,
-#               pylint3 <!nocheck>,
+               pylint3 <!nocheck>,
                python3-all:any,
                python3-apt <!nocheck>,
                python3-debian <!nocheck>,
@@ -74,7 +78,10 @@
             libdpkg-perl,
             libencode-locale-perl,
             libgit-wrapper-perl,
+            libfile-which-perl,
+            libipc-run-perl,
             liblist-compare-perl,
+            libmoo-perl,
             libstring-shellquote-perl,
             libtry-tiny-perl,
             liburi-perl,
@@ -250,15 +257,11 @@
     transitions for which uploads to unstable are currently blocked
     [libwww-perl, libyaml-syck-perl]
   - uscan: scan upstream sites for new releases of packages [gpgv | gpgv2,
-    gnupg |gnupg2, liblwp-protocol-https-perl, libwww-perl, unzip,
-    xz-utils, file]
+    gnupg |gnupg2, libfile-which-perl, libipc-run-perl,
+    liblwp-protocol-https-perl, libmoo-perl, libwww-perl, unzip, xz-utils,
+    file]
   - uupdate: integrate upstream changes into a source package [patch]
   - what-patch: determine what patch system, if any, a source package is using
     [patchutils]
   - whodepends: check which maintainers' packages depend on a package
   - who-uploads: determine the most recent uploaders of a package to the Debian
-    archive [gnupg | gnupg2, debian-keyring, debian-maintainers, wget]
-  - wnpp-alert: list installed packages which are orphaned or up for adoption
-    [wget | curl]
-  - wnpp-check: check whether there is an open request for packaging or
-    intention to package bug for a package [wget | curl]
