=== debian/changelog ===
devscripts (2.18.7~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 30 Oct 2018 16:37:41 +0100

devscripts (2.18.7) unstable; urgency=medium

  [ Martyn Welch ]
  * chdist:
    + Make src2bin use the chosen dist config instead of the host's.  MR: !52

  [ Xavier Guimard ]
  * Perl scripts:
    + Add common modules to parse configuration, command line and normalize
      output.  MR: !51
      - This moves libmoo-perl and libipc-run-perl dependency from "Recommends"
        to "Depends".  MR: !51; MR: !74
  * uscan:
    + Fix bad package name in git HEAD mode.  Closes: #896136
    + Modified to use common Perl modules.  MR: !51
    + Download only the good ref in gitmode shallow.  Closes: #910709; MR: !57
    + Fix documentation: -dd isn't usable, but --dd is.  MR: !58
    + Embed mk-origtargz instead of launching it and parse stdout.  MR: !55
    + Enclose the whole @ANY_VERSION@, @ARCHIVE_EXT@, @DEB_EXT@ and
      @SIGNATURE_EXT into non-capturing groups (See #910910).  MR: !66
    + Disable pgpmode=previous lines if nothing was downloaded.
      Closes: #910910; MR: !69
    + Use new value 'default' for compression when not chosen.  MR: !68
    + Fix regression from 2.18.5 where the User-Agent string was not set to
      the default value.  Closes: #911401; MR: !73
    + In git mode, check the local git repository in the if there is an
      upstream remote and use it when available.  Closes: #910777; MR: !72
  * mk-origtargz:
    + Rewritten using common Perl files.  MR: !55
    + Don't override compression when set in command line when we are
      implicitly repacking.  Closes: #894518; MR: !60
    + Accept uncompressed tarballs as source files.  Closes: #838682; MR: !64
    + Switch default compression from gzip to xz if source format is 2.0 or if
      mk-origtargz isn't used in a debian source directory
      Closes: #910803; MR: !61; MR: !63
    + Refactor the whole configuration management code, and add a 'default'
      compression to let mk-origtargz choose.  MR: !68
  * French translation update.  MR: !59

  [ Daniel Kahn Gillmor ]
  * uscan:
    + Fix typo in documentation, s/hush/hash.  Closes: #910759

  [ Mattia Rizzolo ]
  * mk-build-deps:
    + Add patch by Joost van Baal-Ilić to allow building a package even if the
      package doesn't have any build dependencies.  Closes: #910369
  * who-uploads:
    + Fix bad signal handling that could potentially lead to insecure use of
      /tmp.  Thanks to Jakub Wilk for reporting.  Closes: #911720
  * dd-list:
    + Update documentation to match reality, as dd-list is now using
      `apt-get indextargets` when available.  Closes: #911423
  * README:
    + Normalize by always appending a full stop at the end of the sentence.
    + Document the role of "Suggests"ed packages.
    + Introduce the concept of "core" scripts, for which base dependencies are
      expected to be marked as hard "Depends".  For now the following scripts
      are considered core: dcmd dd-list debchange debcheckout debclean debdiff
      debsign debuild uscan.
  * debian/control:
    + Per the above definition of "core scripts", promote the following
      packages to Depends: fakeroot, file, gnupg|gnupg2, gpgv|gpgv2,
      libfile-which-perl, libwww-perl, patchutils, wdiff.
    + Generate the package description from the README.  MR: !77
  * tests:
    + Skip test_debrepro on hurd-i386, at it requires sem_open().

  [ Eli Uriegas ]
  * mk-build-deps:
    + Fix use of an uninitialized variable in build_equiv().  MR: !56

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 25 Oct 2018 13:11:38 +0200
