=== debian/control ===
Source: devscripts
Section: devel
Priority: optional
Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
Uploaders: Mattia Rizzolo <mattia@debian.org>,
           Pierre-Elliott Bécue <becue@crans.org>
Build-Depends: bash-completion,
               debhelper (>= 11~),
               dh-python,
               docbook-xsl,
               dpkg-dev (>= 1.18.19),
               fakeroot <!nocheck>,
               faketime <!nocheck>,
               file <!nocheck>,
               git <!nocheck>,
               gnupg <!nocheck> | gnupg2 <!nocheck>,
               help2man,
               libdistro-info-perl <!nocheck>,
               libdpkg-perl <!nocheck>,
               libfile-desktopentry-perl <!nocheck>,
               libfile-homedir-perl <!nocheck>,
               libfile-which-perl <!nocheck>,
               libgit-wrapper-perl <!nocheck>,
               libipc-run-perl <!nocheck>,
               liblist-compare-perl <!nocheck>,
               libmoo-perl <!nocheck>,
               libstring-shellquote-perl <!nocheck>,
               libtimedate-perl <!nocheck>,
               libtry-tiny-perl <!nocheck>,
               liburi-perl <!nocheck>,
               libwww-perl <!nocheck>,
               lsb-release <!nocheck>,
               mozilla-devscripts <!nocheck>,
               perl:any,
               perltidy <!nocheck>,
               pkg-config,
               po4a,
               pylint3 <!nocheck>,
               python3-all:any,
               python3-apt <!nocheck>,
               python3-debian <!nocheck>,
               python3-flake8 <!nocheck>,
               python3-magic <!nocheck>,
               python3-pyftpdlib <!nocheck>,
               python3-requests <!nocheck>,
               python3-setuptools,
               python3-unidiff <!nocheck>,
               python3-xdg <!nocheck>,
               shunit2 <!nocheck>,
               unzip <!nocheck>,
               wdiff <!nocheck>,
               xsltproc,
               xz-utils <!nocheck>,
               zip <!nocheck>
Standards-Version: 4.2.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/devscripts
Vcs-Git: https://salsa.debian.org/debian/devscripts.git

Package: devscripts
Architecture: any
Multi-Arch: foreign
Depends: dpkg-dev (>= 1.18.19),
         fakeroot,
         file,
         gnupg | gnupg2,
         gpgv | gpgv2,
         libfile-homedir-perl,
         libfile-which-perl,
         libipc-run-perl,
         libmoo-perl,
         libwww-perl,
         patchutils,
         sensible-utils,
         wdiff,
         ${misc:Depends},
         ${perl:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: apt,
            at,
            dctrl-tools,
            dput | dupload,
            libdistro-info-perl,
            libdpkg-perl,
            libencode-locale-perl,
            libgit-wrapper-perl,
            liblist-compare-perl,
            libstring-shellquote-perl,
            libtry-tiny-perl,
            liburi-perl,
            licensecheck,
            lintian,
            man-db,
            patch,
            python3-apt,
            python3-debian (>= 0.1.15),
            python3-magic,
            python3-requests,
            python3-unidiff,
            python3-xdg,
            strace,
            unzip,
            wget | curl,
            xz-utils,
            ${vendor:Recommends}
Suggests: adequate,
          autopkgtest,
          bls-standalone,
          bsd-mailx | mailx,
          build-essential,
          check-all-the-things,
          cvs-buildpackage,
          devscripts-el,
          diffoscope,
          disorderfs,
          dose-extra (>= 4.0),
          duck,
          faketime,
          gnuplot,
          how-can-i-help,
          libauthen-sasl-perl,
          libdbd-pg-perl,
          libfile-desktopentry-perl,
          libnet-smtps-perl,
          libterm-size-perl,
          libtimedate-perl,
          libyaml-syck-perl,
          mozilla-devscripts,
          mutt,
          piuparts,
          postgresql-client,
          quilt,
          ratt,
          reprotest,
          ssh-client,
          svn-buildpackage,
          w3m,
          ${vendor:Suggests}
Breaks: hardening-includes, ubuntu-dev-tools (<< 0.147~)
Replaces: hardening-includes, ubuntu-dev-tools (<< 0.124~)
Description: scripts to make the life of a Debian Package maintainer easier
 Contains the following scripts, dependencies/recommendations shown in
 brackets afterwards:
 .
 ${devscripts:LongDesc}
