=== debian/tests/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
  gnupg,
  libdistro-info-perl,
  libipc-run-perl,
- libmoo-perl,
  libwww-perl,
  mozilla-devscripts,
  python3-debian,
