## devscripts 2.19.2~bpo9+1

=== test/Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 
 OUR_TESTS= \
+	perl \
 	annotate-output \
 	checkbashisms \
 	dd-list \
