=== debian/changelog ===
devscripts (2.19.2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 16 Jan 2019 15:02:05 +0100

devscripts (2.19.2) unstable; urgency=medium

  * d/postinst:
    + Re-add accidentally removed code that installs /etc/devscripts.conf
      during the first installation.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 12 Jan 2019 20:37:26 +0100

devscripts (2.19.1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Upload to unstable.
  * d/control:
    + Add debhelper to Suggests.  Thanks Simon Quigley for the suggestion.
    + Restrict the Build-Depends on git to >= 1:2.7.0 (to use `git log
      --date=format-local:`), that is not available on kbsd yet.
    + Bump debhelper compat level to 12, using the new debhelper-compat format.
    + Bump Standards-Version to 4.3.0, no changes needed.
  * d/lintian-overrides:
    + Add some lintian overrides for uses-dpkg-database-directly.  MR: !95
    + Add a lintian override for binary-package-depends-on-toolchain-package.
  * Move manual calls to dpkg-maintscript-helper to d/maintscripts.
  * Remove the whole postinst script, dealing with updates to the configuration
    file from very ancient versions.  Thank you lintian for opening my eyes.
  * debchange:
    + Add patch from Stuart Prescott to fix the autodetection of NMU in case
      the person running dch is listed in the first line under a wrapped
      Uploaders field.  Closes: #915393
  * tests/test_debrepro:
    + Skip testing filesystem-ordering, as that may fail if disorderfs is
      installed but the fuse kernel module is not loaded.

  [ Xavier Guimard ]
  * salsa:
    + Fix typo in salsa fork command.  Closes: #915978
    + Fix typo in pod documentation.
    + Hide salsa token in bug report.  Closes: #916073; MR: !91
    + Fix mr bug when colors are activated.  MR: !92
    + Fix bad warning on unexistent project and downgrade messages to debug
      level.
    + Add libgitlab-api-v4-perl and libtest-output-perl in build dependencies
      and d/tests/control to enable the salsa unit tests.  MR: !94
    + Add a --ci-config-path option.  MR: !96
    + push_repo: allow pushing even if the project already exists.  MR: !97
    + Skip project in update_repo if hooks are not available.
  * uscan:
    + Fix warning when grouped package is up to date.
    + Fix dehs output when using --report with pgpmode next/previous.
      Closes: #918994; MR: !99
    + Fix dehs output for grouped packages.  MR: !99
  * French translation update.

  [ Benjamin Drung ]
  * wrap-and-sort:
    + Also sort debian/tests/control.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 12 Jan 2019 20:18:58 +0100

devscripts (2.18.11) experimental; urgency=medium

  [ Xavier Guimard ]
  * Devscripts::Config:
    + Support a new --conf-file option to add extra configuration files.
  * Devscripts::Output:
    + Add a new ds_prompt() function.
  * Add Devscripts::JSONCache, Perl object cache library to store values.
  * salsa: new tool to manage salsa.debian.org repositories with:
    + commands to manage users in salsa groups,
    + commands to contribute (create fork and merge_request),
    + commands to manage repositories: configure project description, KGB
      webhook, tagpending webhook, Irker, Email-on-push, default HEAD (i.e.
      from the default "master" to "debian/master" for DEP-14 migrations).
  * Closes: #890594; MR: !70

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 05 Dec 2018 18:49:57 +0100
